//
//  CHGradientTableView.h
//  CHAppKit
//
//  Created by Nick Zitzmann on 4/12/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CHGradientTableView : NSTableView
{
	BOOL _drawGradients;
	NSColor *_topColorWhenFirstResponder;
	NSColor *_bottomColorWhenFirstResponder;
	NSColor *_topColorWhenNotFirstResponder;
	NSColor *_bottomColorWhenNotFirstResponder;
}
- (void)setDefaultHighlightColors;
- (BOOL)drawsGradients;
- (void)setDrawsGradients:(BOOL)drawGradients;
- (void)setHighlightTopColorWhenFirstResponder:(NSColor *)color;
- (void)setHighlightBottomColorWhenFirstResponder:(NSColor *)color;
- (void)setHighlightTopColorWhenNotFirstResponder:(NSColor *)color;
- (void)setHighlightBottomColorWhenNotFirstResponder:(NSColor *)color;

@end
