//
//  CHWebKitBrowserView.h
//  CHAppKit
//
//  Created by Rod Schmidt on 10/5/05.
//  Copyright 2005 Chronos, LC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "CHBrowserView.h"
#import <WebKit/WebKit.h>

@interface CHWebKitBrowserView : CHBrowserView 
{
	IBOutlet WebView*	_webView;
	
	NSURL*	_url;
	BOOL	_canSetDocument;
}

-(IBAction) loadURL: (id) sender;

-(NSURL*) URL;
-(void) setURL: (NSURL*) url;

-(NSData*) webArchiveData;
-(NSString*) webArchiveText;

-(NSString*) pageTitle;

-(float) textSizeMultiplier;
-(void) setTextSizeMultiplier:(float) multiplier;

-(BOOL) canSetDocument;
-(void) setCanSetDocument: (BOOL) flag;

@end
