//
//  NSColor+CHExtensions.h
//  CHAppKit
//
//  Created by Nick Zitzmann on 4/5/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSColor (CHExtensions)
#if MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_4
+ (NSColor *)colorWithChronosStringRepresentation:(NSString *)representation;
#endif
+ (NSColor *)colorWithColorSpaceName:(NSString *)colorSpaceName components:(float *)components count:(int)numberOfComponents;
+ (NSColor *)colorWithRGBColorString:(NSString *)rgbColorString;
+ (NSColor *)darkGreenColor;
+ (NSColor *)randomRGBColor;

- (NSString *)chronosStringRepresentation;
-(NSComparisonResult) compare: (id) otherColor;
- (NSImage *)menuImage;
- (NSImage *)menuImageWithSize:(NSControlSize)controlSize;
- (NSString *)rgbColorString;
@end
