//
//  NSMenu+CHExtensions.h
//  CHAppKit
//
//  Created by Nick Zitzmann on 04/13/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <CHFoundation/CHFoundation.h>

@interface NSMenu (CHExtensions)
- (NSMenuItem *)addItemWithTitle:(NSString *)aString target:(id)target action:(SEL)aSelector keyEquivalent:(NSString *)keyEquiv;
- (NSMenuItem *)addItemWithTitle:(NSString *)aString target:(id)target action:(SEL)aSelector keyEquivalent:(NSString *)keyEquiv representedObject:(id)representedObject;
- (NSMenuItem *)addItemWithTitle:(NSString *)aString target:(id)target action:(SEL)aSelector keyEquivalent:(NSString *)keyEquiv representedObject:(id)representedObject tag:(int)tag;
- (void)addItems:(NSArray *)menuItems;
- (BOOL)containsItem:(NSMenuItem *)item;
- (NSUInteger)indexOfItemExcludingSeparatorItemsWithTitle:(NSString *)aTitle;
- (void)removeAllItems;
- (void)setSizeOfAllMenuItems:(NSControlSize)newSize;
@end
