//
//  NSOutlineView+CHExtensions.h
//  CHAppKit
//
//  Created by Nick Zitzmann on 04/13/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#if MAC_OS_X_VERSION_10_3 <= MAC_OS_X_VERSION_MAX_ALLOWED
@interface NSOutlineView (CHExtensions)
- (id)editedItem;
- (void)expandAll;
- (NSArray *)expandedItems;
- (NSArray *)itemsAtRows:(NSIndexSet *)rows;
- (id)parentOfItem:(id)item;
- (id)selectedItem;
- (NSArray *)selectedItems;
- (void)selectItem:(id)item byExtendingSelection:(BOOL)extend;
- (void)selectItems:(NSArray *)items byExtendingSelection:(BOOL)extend;
@end
#endif
