//
//  NSPopUpButton+CHExtensions.h
//  CHAppKit
//
//  Created by Nick Zitzmann on 04/13/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <CHFoundation/CHFoundation.h>

@interface NSPopUpButton (CHExtensions)
- (NSMenuItem *)addItemWithTitle:(NSString *)title target:(id)target action:(SEL)action;
- (NSMenuItem *)addItemWithTitle:(NSString *)title target:(id)target action:(SEL)action tag:(NSInteger)tag;
- (NSMenuItem *)addItemWithTitle:(NSString *)title tag:(NSInteger)tag;
- (NSArray *)itemsWithState:(NSInteger)desiredState;
- (NSMenuItem *)itemWithTag:(NSInteger)tag;
- (void)removeItemWithTag:(NSInteger)tag;
- (id)representedObjectOfSelectedItem;
- (BOOL)selectItemWithRepresentedObject:(id)object;
#if MAC_OS_X_VERSION_MIN_REQUIRED <= MAC_OS_X_VERSION_10_3
- (BOOL)selectItemWithTag:(int)tag;
#endif
- (NSInteger)tagOfSelectedItem;
@end
