//
//  NSTableView+CHExtensions.h
//  CHAppKit
//
//  Created by Nick Zitzmann on 04/13/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <CHFoundation/CHFoundation.h>

@interface NSTableView (CHExtensions)
- (NSTableColumn *)addTableColumnWithTitle:(NSString *)title identifier:(id)identifier width:(float)width minWidth:(float)minWidth maxWidth:(float)maxWidth;
- (NSTableColumn *)addTableColumnWithTitle:(NSString *)title identifier:(id)identifier headerCell:(NSTableHeaderCell *)headerCell width:(float)width minWidth:(float)minWidth maxWidth:(float)maxWidth;
- (void)editColumnWithIdentifier:(NSString *)tcIdentifier row:(int)rowIndex withEvent:(NSEvent *)theEvent select:(BOOL)flag;
- (NSUInteger)indexOfTableColumnWithIdentifier:(NSString *)identifier;
- (void)removeAllTableColumns;
- (void)removeTableColumnWithIdentifier:(NSString *)identifier;

- (void) updateInRect:(NSRect)invalidRect;
- (void) reloadDataForColumn:(int)x;
- (void) reloadDataForRow:(int)y;
- (void) reloadDataForColumn:(int)x row:(int)y;

@end
