//
//  NSView+CHExtensions.h
//  CHAppKit
//
//  Created by Nick Zitzmann on 04/13/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSView (CHExtensions)
- (id)firstSuperviewOfClass:(Class)aClass;
- (id)firstSuperviewOfKindOfClass:(Class)aClass;
- (BOOL)hasSuperview:(NSView *)testSuperview;
- (BOOL)isBeingPrinted;
- (NSRect)normalizedVisibleRect;
- (void)scrollNormalizedRectToVisible:(NSRect)normalizedVisibleRect;
- (void)setFrame:(NSRect)frame adjustedToAspectRatio:(NSSize)aspectRatio;
- (NSArray *)subviewsThatAreEditable;
- (NSArray *)subviewsThatAreEnabled;
@end
