//
//  CHDatabase+License.h
//  CHDatabaseKit
//
//  Created by Nick Zitzmann on 11/29/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "CHDatabase.h"

@interface CHDatabase (License)
- (BOOL)createLicenseTable;
- (int)maximumLicenseVersionForProduct:(NSString*)aProductNameString;
- (NSArray*)licensesForProductWithMaximumVersion:(NSString*)aProductNameString;
- (BOOL)pushLicensesToDatabase:(NSArray*)aLicenseArray;
- (BOOL)isSharedDBTrialExpired;
@end
