//
//  CHDatabase+Palm.h
//  CHDatabaseKit
//
//  Created by Jerry Halls on 10/10/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import "CHDatabase.h"


@interface CHDatabase (Palm)

-(void)lockDBForPalmUseOnly;
-(void)unlockDBForPalmUseOnly;

-(long long)getChronosAdminUserID;
-(NSArray*)getAllNotesInPalmFolder:(long long)aPalmFolderID;

-(BOOL)doesSyncTableExist;
-(BOOL)createNewSyncTable;
-(NSArray*)readSyncTableEntries;
-(BOOL)deleteAllRowsInSyncTable;
-(BOOL)insertRowInSyncTable:(long long)aUserID sbID:(long long)aSBID sbVersion:(long)aSBVersion sbFlag:(long)aSBFlag palmID:(long)aPalmID;


@end
