/*
 *  CHKeychainFunctions.h
 *  CHDatabaseKit
 *
 *  Created by Nick Zitzmann on 04/12/2005.
 *  Copyright 2005 __MyCompanyName__. All rights reserved.
 *
 */

#include <Foundation/Foundation.h>

NSString *CHKeychainDatabasePasswordFromKeychain(NSString *host, NSString *dbName, NSString *userName);
NSString *CHKeychainHostPasswordFromKeychain(NSString *host);
NSString *CHKeychainReadPasswordFromKeychain(NSString *host);

BOOL CHKeychainAddDatabasePasswordToKeychain(NSString *host, NSString *dbName, NSString *userName, NSString *password);
BOOL CHKeychainAddHostPasswordToKeychain(NSString *host, NSString *password);
BOOL CHKeychainAddReadPasswordToKeychain(NSString *host, NSString *password);

BOOL CHKeychainModifyDatabasePasswordInKeychain(NSString *host, NSString *dbName, NSString *userName, NSString *password);

BOOL CHKeychainRemoveDatabasePasswordFromKeychain(NSString *host, NSString *dbName, NSString *userName);
BOOL CHKeychainRemoveHostPasswordFromKeychain(NSString *host);
BOOL CHKeychainRemoveReadPasswordFromKeychain(NSString *host);

NSString *CHKeychainPrivateNotesPasswordFromKeychain(NSString *userName);
BOOL CHKeychainAddPrivateNotesPasswordToKeychain(NSString *userName, NSString *password);
BOOL CHKeychainModifyPrivateNotesPasswordInKeychain(NSString *userName, NSString *password);
BOOL CHKeychainRemovePrivateNotesPasswordFromKeychain(NSString *userName);
