//
//  PGCalendarAlarm.h
//  CHDatabaseKit
//
//  Created by Nick Zitzmann on 06/13/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PGCalendarEventTaskAttribute.h"
#import "PGCalendarEnums.h"

@interface PGCalendarAlarm : PGCalendarEventTaskAttribute
{
	
}
- (NSString *)alarmDescription;
- (void)setAlarmDescription:(NSString *)newDescription;

- (unsigned int)repeatCount;
- (void)setRepeatCount:(unsigned int)repeatCount;

- (unsigned int)repeatInterval;
- (void)setRepeatInterval:(unsigned int)repeatInterval;

- (PGCalendarAlarmRelativity)relativity;
- (void)setRelativity:(PGCalendarAlarmRelativity)newRelativity;
- (NSCalendarDate *)triggerDate;
- (void)setTriggerDate:(NSCalendarDate *)newTriggerDate;
- (long long)triggerDuration;
- (void)setTriggerDuration:(long long)newTriggerDuration;

@end
