/*
 *  PGCalendarEnums.h
 *  CHDatabaseKit
 *
 *  Created by Nick Zitzmann on 06/13/2005.
 *  Copyright 2005 __MyCompanyName__. All rights reserved.
 *
 */

typedef enum
{
	PGCalendarClassificationPublic = 0,
	PGCalendarClassificationPrivate,
	PGCalendarClassificationConfidential
} PGCalendarClassification;

typedef enum
{
	PGCalendarEventStatusNone = 0,
	PGCalendarEventStatusTentative,
	PGCalendarEventStatusConfirmed,
	PGCalendarEventStatusCancelled
} PGCalendarEventStatus;

typedef enum
{
	PGCalendarTaskStatusNone = 0,
	PGCalendarTaskStatusNeedsAction,
	PGCalendarTaskStatusInProcess,
	PGCalendarTaskStatusCompleted,
	PGCalendarTaskStatusCancelled
} PGCalendarTaskStatus;

typedef enum
{
	PGCalendarAlarmAbsoluteDate = 0,
	PGCalendarAlarmRelativeToReferenceDate
} PGCalendarAlarmRelativity;

typedef enum
{
	PGCalendarAttendeeRoleChair = 0,
	PGCalendarAttendeeRoleRequiredParticipant,
	PGCalendarAttendeeRoleOptionalParticipant,
	PGCalendarAttendeeRoleNonParticipant
} PGCalendarAttendeeRole;

typedef enum
{
	PGCalendarAttendeeStatusNeedsAction = 0,
	PGCalendarAttendeeStatusAccepted,
	PGCalendarAttendeeStatusDeclined,
	PGCalendarAttendeeStatusTentative,
	PGCalendarAttendeeStatusDelegated,
	PGCalendarAttendeeStatusInProcess,
	PGCalendarAttendeeStatusCompleted
} PGCalendarAttendeeStatus;

typedef enum
{
	PGCalendarAttendeeUserTypeIndividual = 0,
	PGCalendarAttendeeUserTypeGroup,
	PGCalendarAttendeeUserTypeResource,
	PGCalendarAttendeeUserTypeRoom,
	PGCalendarAttendeeUserTypeUnknown,
	PGCalendarAttendeeUserTypeIndividualOrganization
} PGCalendarAttendeeUserType;

typedef enum
{
	PGRecurrenceDaily = 0,
	PGRecurrenceWeekly,
	PGRecurrenceMonthly,
	PGRecurrenceYearly
} PGRecurrenceFrequency;

typedef enum
{
	PGRecurrenceEndNever = 0,
	PGRecurrenceEndAfterXTimes,
	PGRecurrenceEndOnDate
} PGRecurrenceEnd;

typedef enum
{
	PGWeekdaySunday = 0,
	PGWeekdayMonday,
	PGWeekdayTuesday,
	PGWeekdayWednesday,
	PGWeekdayThursday,
	PGWeekdayFriday,
	PGWeekdaySaturday
} PGCalendarWeekday;

typedef enum
{
	PGMonthJanuary = 1,
	PGMonthFebruary,
	PGMonthMarch,
	PGMonthApril,
	PGMonthMay,
	PGMonthJune,
	PGMonthJuly,
	PGMonthAugust,
	PGMonthSeptember,
	PGMonthOctober,
	PGMonthNovember,
	PGMonthDecember
} PGCalendarMonth;
