//
//  PGCalendarEventTaskAttribute.h
//  CHDatabaseKit
//
//  Created by Nick Zitzmann on 06/17/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PGCalendarRecord.h"

typedef enum
{
	PGCalendarEventTaskAttributeOwnerTypeNone = 0,
	PGCalendarEventTaskAttributeOwnerTypeEvent,
	PGCalendarEventTaskAttributeOwnerTypeTask
} PGCalendarEventTaskAttributeOwnerType;

@class PGCalendarOccurrableRecord;

@interface PGCalendarEventTaskAttribute : PGCalendarRecord <NSCoding, NSCopying>
{
	long long _ownerID;
	PGCalendarEventTaskAttributeOwnerType _ownerType;
	PGCalendarOccurrableRecord *_unsavedOwner;
}
- (PGCalendarOccurrableRecord *)owner;
- (void)setOwner:(PGCalendarOccurrableRecord *)newOwner;

@end
