//
//  PGRecord+Merge.h
//  CHDatabaseKit
//
//  Created by Nick Zitzmann on 9/27/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PGRecord.h"
#import "PGPerson.h"
#import "PGMultiValue.h"

@interface PGRecord (Merge)
- (PGRecord *)mergeWithOverridingRecord:(PGRecord *)otherRecord;
- (PGRecord *)mergeWithOverridingRecord:(PGRecord *)otherRecord addedProperties:(NSArray **)addedProperties overwrittenProperties:(NSArray **)overwrittenProperties;
@end

@interface PGPerson (Merge)
- (void)mergeAttachmentsFromPeople:(NSArray *)people;
@end

@interface PGMultiValue (Merge)
- (PGMultiValue *)mergeWithOverridingMultiValue:(PGMultiValue *)otherMultiValue;
- (PGMultiValue *)mergeWithOverridingMultiValue:(PGMultiValue *)otherMultiValue addedIndexes:(NSIndexSet **)addedIndexes overwrittenIndexes:(NSIndexSet **)overwrittenIndexes;
@end
