//
//  SBColorInfo.h
//  StickyBrain3
//
//  Created by Rod Schmidt on Tue May 25 2004.
//  Copyright (c) 2004 Chronos, LC. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface SBColorInfo : NSObject <NSCoding>
{
	long long   _colorID;
	NSString*   _name;
	NSColor*	_color;
	NSImage*	_image;
	NSString	*_uuid;
	NSString	*_dbID;
	NSString	*_userID;
}

-(id) initWithRowID: (long long) colorID name: (NSString*) aName color: (NSColor*) color uuid:(NSString *)uuid databaseID:(NSString *)dbID userID:(NSString *)uID;

-(long long) colorID;

-(NSString*) name;
-(void) setName: (NSString*) aName;

-(NSColor*) color;
-(void) setColor: (NSColor*) aColor;

- (NSString *)uuid;
- (void)setUUID:(NSString *)uuid;

- (NSString *)databaseID;
- (NSString *)userID;

@end
