//
//  SBIcon.h
//  StickyBrain3
//
//  Created by Rod Schmidt on Thu Jan 29 2004.
//  Copyright (c) 2004 Chronos, LC. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface SBIcon : NSObject <NSCoding>
{
	long long   _iconID;
	NSString	*_iconType;
	NSImage*	_image;
	NSImage		*_smallImage;
	NSString	*_uuid;
}

+ (id)iconWithRowID:(long long)iconID iconType:(NSString *)iconType image:(NSImage *)image smallImage:(NSImage *)smallImage uuid:(NSString *)uuid;
-(id) initWithRowID: (long long) iconID iconType:(NSString *)iconType image: (NSImage*) image smallImage:(NSImage *)smallImage uuid:(NSString *)uuid;

-(long long) iconID;
- (NSString *)iconType;
- (void)setIconType:(NSString *)iconType;
-(NSImage*) image;
- (void)setImage:(NSImage *)newImage;
- (NSImage *)smallImage;
- (void)setSmallImage:(NSImage *)newSmallImage;
- (NSString *)uuid;

@end
