//
//  SBLibrary+Alarms.h
//  CHDatabaseKit
//
//  Created by Rod Schmidt on 10/24/06.
//  Copyright 2006 Chronos, LC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "SBLibrary.h"
#import "SBAlarmInfo.h"

@interface SBLibrary (Alarms)

-(BOOL)addAlarmWithAlarmInfo: (SBAlarmInfo *)alarmInfo;
-(NSArray *)alarmsBefore: (NSCalendarDate *)date;
-(BOOL)alarmInfoForNote: (SBNote *)note alarmInfo: (SBAlarmInfo *)alarmInfo;
-(NSDictionary *)alarmsForNotes: (NSArray *)notes;
-(BOOL)removeAlarmForNote: (SBNote *)note;
-(BOOL)updateAlarmWithAlarmInfo: (SBAlarmInfo *)alarmInfo;

@end
