//
//  CHDateTitleFormatter.h
//  CHFoundation
//
//  Created by Rod Schmidt on 5/11/06.
//  Copyright 2006 Chronos, LC. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#if MAC_OS_X_VERSION_10_4 <= MAC_OS_X_VERSION_MAX_ALLOWED
@interface CHDateTitleFormatter : NSObject 
{
}

// Returns the title for a note by formatting a date to the system format if format is nil
// Otherwise formats the date according the format specified in the format argument
+(NSString*) stringForDate: (NSDate*) date withCustomFormat: (NSString*) format;

@end
#endif
