//
//  CHvParserProperty.h
//  CHFoundation
//
//  Created by Nick Zitzmann on 06/02/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#ifndef NSINTEGER_DEFINED
#import "CHObjCRuntime.h"	// for NSUInteger
#endif

@interface CHvParserProperty : NSObject
{
	NSMutableArray *_propertyLabels;
	NSMutableArray *_propertyValues;
	NSMutableData *_propertyData;
}
+ (id)property;

- (NSUInteger)count;
- (NSString *)labelAtIndex:(NSUInteger)index;
- (NSString *)valueAtIndex:(NSUInteger)index;
- (NSData *)data;

- (void)addValue:(NSString *)value forLabel:(NSString *)label;
- (void)appendData:(NSData *)dataToAppend;

@end
