//
//  NSData+CHExtensions.h
//  CHFoundation
//
//  Created by Nick Zitzmann on 03/30/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#ifndef NSINTEGER_DEFINED
#import "CHObjCRuntime.h"
#endif

@interface NSData (CHExtensions)
- (u_int8_t)byteAtIndex:(NSUInteger)index;
- (NSData *)dataByAppendingBytes:(const void *)bytes length:(NSUInteger)length;
- (NSString *)hexString;
@end

@interface NSMutableData (CHExtensions)
- (void)appendByte:(u_int8_t)aByte;
- (void)deleteBytesInRange:(NSRange)aRange;
@end
