//
//  NSData+Encrypted.h
//  CHFoundation
//
//  Created by Jerry Halls on Mon Apr 19 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface NSData (Encrypted)

- (NSData*)encrypt:(char*)aPassword;
- (NSData*)encrypt:(char*)aPassword useMaxKeySize:(BOOL)aUseMaxKeySize;
- (NSData*)decrypt:(char*)aPassword;
- (NSData*)decrypt:(char*)aPassword useMaxKeySize:(BOOL)aUseMaxKeySize;

+ (id)dataWithContentsOfEncryptedFile:(NSString *)path password:(char*)aPassword;
- (BOOL)writeToFileEncrypted:(NSString *)path atomically:(BOOL)useAuxiliaryFile password:(char*)aPassword;

@end
