//
//  NSDateFormatter+CHExtensions.h
//  CHFoundation
//
//  Created by Nick Zitzmann on 03/30/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSDateFormatter (CHExtensions)
#if MAC_OS_X_VERSION_10_4 <= MAC_OS_X_VERSION_MAX_ALLOWED
+ (id)dateFormatterWithCalendar:(NSCalendar *)calendar dateStyle:(NSDateFormatterStyle)dateStyle timeStyle:(NSDateFormatterStyle)timeStyle;	// if calendar is nil, the system default calendar will be used
+ (id)dateFormatterWithCalendar:(NSCalendar *)calendar dateStyle:(NSDateFormatterStyle)dateStyle timeStyle:(NSDateFormatterStyle)timeStyle withoutFields:(NSString *)fieldsToOmit;
#endif
#if MAC_OS_X_VERSION_MIN_REQUIRED <= MAC_OS_X_VERSION_10_4
+ (id)dateFormatterWithDateFormat:(NSString *)format allowNaturalLanguage:(BOOL)flag;
+ (id)dateFormatterWithLocalizedDateFormat;
+ (id)dateFormatterWithLocalizedTimeDateFormat;
+ (id)dateFormatterWithShortLocalizedDateFormat;
+ (id)dateFormatterWithShortLocalizedTimeDateFormat;
#endif
@end
