//
//  NSDictionary+CHExtensions.h
//  CHFoundation
//
//  Created by Nick Zitzmann on 03/30/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSDictionary (CHExtensions)
+ (void)beginBackgroundDownloadOfDictionaryWithContentsOfURL:(NSURL *)url target:(id)target didFinishSelector:(SEL)selector contextInfo:(void *)contextInfo;
// selector needs to point to a method like this:
// - (void)url:(NSURL *)aURL dictionaryDidDownload:(NSDictionary *)dictionary contextInfo:(void *)contextInfo
// The returned dictionary is nil if something went wrong.
- (BOOL)areAllObjectsEqual:(id)equalObject;
- (id)deepMutableCopy;
- (id)deepMutableCopyWithZone:(NSZone *)aZone;
@end

@interface NSMutableDictionary (CHExtensions)
- (void)mergeObjectsFromDictionary:(NSDictionary *)dictionary;
@end
