//
//  NSIndexSet+CHExtensions.h
//  CHFoundation
//
//  Created by Nick Zitzmann on 03/30/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#ifndef NSINTEGER_DEFINED
#import "CHObjCRuntime.h"
#endif

#if MAC_OS_X_VERSION_10_3 <= MAC_OS_X_VERSION_MAX_ALLOWED
@interface NSIndexSet (CHExtensions)
+ (id)indexSetWithArray:(NSArray *)arrayOfIndexes;

- (NSArray *)allIndexes;
- (id)initWithArray:(NSArray *)arrayOfIndexes;
- (id)initWithIndexes:(NSUInteger)index, ...;	// use NSNotFound to terminate the list of args
@end

@interface NSMutableIndexSet (CHExtensions)
- (void)minusSet:(NSIndexSet *)otherSet;
@end
#endif
