//
//  NSNumber+CHExtensions.h
//  CHFoundation
//
//  Created by Nick Zitzmann on 12/17/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#ifndef NSINTEGER_DEFINED
#import "CHObjCRuntime.h"
#endif

@interface NSNumber (CHExtensions)
+ (NSNumber *)numberWithCGFloat:(CGFloat)cgFloat;
- (id)initWithCGFloat:(CGFloat)cgFloat;
- (CGFloat)CGFloatValue;

// As of right now these extensions are only used in pre-Leopard builds:
#if MAC_OS_X_VERSION_MIN_REQUIRED <= MAC_OS_X_VERSION_10_4
+ (NSNumber *)numberWithInteger:(NSInteger)integer;
+ (NSNumber *)numberWithUnsignedInteger:(NSUInteger)unsignedInteger;

- (id)initWithInteger:(NSInteger)integer;
- (id)initWithUnsignedInteger:(NSUInteger)unsignedInteger;
- (NSInteger)integerValue;
- (NSUInteger)unsignedIntegerValue;
#endif
@end
