//
//  NSObject+CHExtensions.h
//  CHFoundation
//
//  Created by Nick Zitzmann on 03/30/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#ifndef NSINTEGER_DEFINED
#import "CHObjCRuntime.h"
#endif

@interface NSObject (CHExtensions)
- (NSBundle *)bundle;
- (NSComparisonResult)compare:(id)otherObject;
- (id)performSelector:(SEL)aSelector withBool:(BOOL)aBool;
- (id)performSelector:(SEL)aSelector withDouble:(double)aDouble;
- (id)performSelector:(SEL)aSelector withInt:(int)anInt;
- (id)performSelector:(SEL)aSelector withLongLong:(long long)aLongLong;
- (id)performSelector:(SEL)aSelector withObject:(id)anObject withObject:(id)anotherObject withObject:(id)yetAnotherObject;
- (id)performSelector:(SEL)aSelector withObject:(id)anObject withObject:(id)anotherObject withObject:(id)yetAnotherObject withObject:(id)andYetAnotherObject;
- (id)performSelector:(SEL)aSelector withSelector:(SEL)selectorArg;
- (id)performSelector:(SEL)aSelector withUnsignedInt:(unsigned int)anInt;
- (BOOL)performSelectorAndReturnBool:(SEL)aSelector;
- (BOOL)performSelectorAndReturnBool:(SEL)aSelector withObject:(id)anObject;
- (int)performSelectorAndReturnInt:(SEL)aSelector;
- (int)performSelectorAndReturnInt:(SEL)aSelector withObject:(id)anObject;
- (unsigned int)performSelectorAndReturnUnsignedInt:(SEL)aSelector;
- (unsigned int)performSelectorAndReturnUnsignedInt:(SEL)aSelector withUnsignedInt:(unsigned int)anInt;
#ifndef __LP64__
- (id)performSelectorInSuperclass:(SEL)aSelector withObject:(id)anObject;
#endif
- (void)performSelectorOnMainThread:(SEL)aSelector withBool:(BOOL)aBool waitUntilDone:(BOOL)waitUntilDone;
- (void)performSelectorOnMainThread:(SEL)aSelector withObject:(id)object1 withObject:(id)object2 waitUntilDone:(BOOL)waitUntilDone;
- (void)performSelectorOnMainThread:(SEL)aSelector withUnsignedInteger:(NSUInteger)anUnsignedInt waitUntilDone:(BOOL)waitUntilDone;
- (void)requestConcreteImplementationForSelector:(SEL)aSelector;
@end
