//
//  NSURLCredentialStorage+CHExtensions.h
//  CHFoundation
//
//  Created by Nick Zitzmann on 3/7/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Security/SecKeychainItem.h>

@interface NSURLCredentialStorage (CHExtensions)
+ (NSURLCredential *)credentialForDotMac;
+ (NSURLCredential *)credentialForKeychainItem:(SecKeychainItemRef)item;

- (NSDictionary *)credentialsForProtectionSpaceDiggingALittleDeeper:(NSURLProtectionSpace *)protectionSpace;
- (void)setCredentialReally:(NSURLCredential *)credential forProtectionSpace:(NSURLProtectionSpace *)protectionSpace;
@end
