//
//  CHOBBackupDotMacPanelController.h
//  CHOBBackup
//
//  Created by Nick Zitzmann on 01/18/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CHOBBackupDotMacPanelController : NSWindowController
{
	IBOutlet NSImageView *_appIcon;
	IBOutlet NSTextField *_backupString;
	
	id _backupTarget;
	SEL _backupAction;
	id _restoreTarget;
	SEL _restoreAction;
}
+ (id)controller;

- (IBAction)backupClicked:(id)sender;
- (IBAction)cancelClicked:(id)sender;
- (IBAction)restoreClicked:(id)sender;
- (void)setBackupTarget:(id)target action:(SEL)selector;	// action must take a single "sender" argument
- (void)setRestoreTarget:(id)target action:(SEL)selector;

@end
