//
//  CHOBBackupPreferencePane.h
//  CHOBBackup
//
//  Created by Nick Zitzmann on 08/11/2004.
//  Copyright 2004 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <PreferencePanes/NSPreferencePane.h>
#import <OpenBaseAPI/OpenBase.h>

@interface CHOBBackupPreferencePane : NSPreferencePane
{
	OpenBase *_db;
	
	// "Backup Frequency" box
	IBOutlet NSTextField *_lastBackupField;
	IBOutlet NSPopUpButton *_frequencyPopUp;
	IBOutlet NSTextField *_numberOfBackupsField;
	IBOutlet NSMatrix *_relativeTimeRdo;
	
	// "Backup File Location" box
	IBOutlet NSTextField *_pathField;
}
- (IBAction)chooseClicked:(id)sender;
- (IBAction)frequencyChanged:(id)sender;
- (IBAction)relativeTimeChanged:(id)sender;

@end
