//
//  CHOpenBaseLoginWindowController.h
//  CHOpenBaseGUI
//
//  Created by Nick Zitzmann on 02/22/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

typedef enum
{
	CHOBLWCHostPassword,
	CHOBLWCReadPassword
} CHOBLWCPasswordType;

@class OpenBaseAdminConnection;

@interface CHOpenBaseLoginWindowController : NSWindowController
{
	IBOutlet NSImageView *_appIconImg;
	IBOutlet NSTextField *_passwordRequestTxt;
	IBOutlet NSSecureTextField *_passwordTxt;
	
	OpenBaseAdminConnection *_connection;
	CHOBLWCPasswordType _passwordType;
	NSString *_thePassword;
}
+ (NSString *)askForHostPasswordUsingAdminConnection:(OpenBaseAdminConnection *)connection;
+ (NSString *)askForReadPasswordUsingAdminConnection:(OpenBaseAdminConnection *)connection;

- (NSString *)password;
- (void)setAdminConnection:(OpenBaseAdminConnection *)connection;
- (void)setPasswordType:(CHOBLWCPasswordType)passwordType;

- (IBAction)okClicked:(id)sender;
- (IBAction)cancelClicked:(id)sender;

@end
