//
//  CHOpenBaseNewDatabaseWindowController.h
//  CHOpenBaseGUI
//
//  Created by Nick Zitzmann on 04/13/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CHOpenBaseNewDatabaseWindowController : NSWindowController
{
	IBOutlet NSComboBox *_hostBox;
	IBOutlet NSTextField *_databaseNameTxt;
	IBOutlet NSTextField *_newUserNameTxt;
	IBOutlet NSTextField *_newPasswordTxt;
	IBOutlet NSTextField *_newPasswordConfirmTxt;
	IBOutlet NSButton *_createButton;
	
	NSArray *_hosts;
	
	NSString *_hostName;
	NSString *_databaseName;
	NSString *_userName;
	NSString *_password;
}
- (NSString *)hostName;
- (NSString *)databaseName;
- (NSString *)userName;
- (NSString *)password;
- (NSDictionary *)connectionInfoDictForCHDatabase;

- (IBAction)createClicked:(id)sender;
- (IBAction)cancelClicked:(id)sender;

@end
