//
//  PGAddressBookRemote.h
//  CHOpenBaseGUI
//
//  Created by Nick Zitzmann on 03/22/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <CHDatabaseKit/CHDatabaseKit.h>
#import "PGAddressBookGUILocal.h"

@class CHDatabase;

@interface PGAddressBookRemote : PGAddressBookGUILocal
{
	
}
- (id)initWithDatabase:(CHDatabase *)database;

- (BOOL)connectToDatabase:(NSString *)dbName host:(NSString *)host login:(NSString *)login directLogin:(BOOL)directLogin;
- (BOOL)runLoginPanel;
- (BOOL)runLoginPanelWithConnectionInfo:(NSDictionary *)connectionInfo hostPassword:(NSString *)hostPassword readPassword:(NSString *)readPassword;

- (BOOL)runNewDatabasePanel;

@end
