//
//  PGBlockContentViewCalendarRecurrence.h
//  Organizer
//
//  Created by Nick Zitzmann on 07/28/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <CHDatabaseKit/CHDatabaseKit.h>
#import <CHAppKit/CHAppKit.h>
#import "PGBlockContentViewController.h"

@class PGBlockContentViewOccurrableRecord;

extern NSString * const PGCalendarOccurrableRecordRecurrenceArrayChangedNotification;

@interface PGBlockContentViewCalendarRecurrence : PGBlockContentViewController
{
	IBOutlet CHTransparentPopUpButton *_repeatButton;
	IBOutlet NSTextField *_customRecurrenceTxt;
	IBOutlet NSTextField *_endTxt;
	IBOutlet CHTransparentPopUpButton *_endButton;
	IBOutlet NSTextField *_endNumberOfTimesTxt;	// the user-editable text
	IBOutlet NSTextField *_endTimesTxt;	// the text that says "time(s)"
	IBOutlet CHDateView *_endDate;
	IBOutlet CHCalendarButton *_endDateShowCalendarButton;
	
	//PGCalendarOccurrableRecord *_occurrableRecord;
	PGRecurrence *_recurrence;
	PGBlockContentViewOccurrableRecord *_nonretainedRecordController;
}
- (void)setOccurrableRecord:(PGCalendarOccurrableRecord *)record recurrence:(PGRecurrence *)recurrence;
- (void)setRecordController:(PGBlockContentViewOccurrableRecord *)bcv;
- (void)setupControls;

- (IBAction)repeatButtonAction:(id)sender;
- (IBAction)endButtonAction:(id)sender;

@end
