//
//  PGBlockContentViewEvent.h
//  Organizer
//
//  Created by Nick Zitzmann on 07/13/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <CHDatabaseKit/CHDatabaseKit.h>
#import <CHAppKit/CHAppKit.h>
#import <CHOpenBaseGUI/PGBlockContentViewOccurrableRecord.h>

@interface PGBlockContentViewEvent : PGBlockContentViewOccurrableRecord
{
    IBOutlet NSButton *_allDayButton;
    IBOutlet NSTextField *_fromAtTxt;
    IBOutlet CHDateView *_fromDate;
    IBOutlet CHTimeView *_fromTime;
	IBOutlet NSTextField *_fromTimeZoneLabelTxt;
	IBOutlet CHTransparentPopUpButton *_fromTimeZoneButton;
    IBOutlet NSTextField *_locationTxt;
    IBOutlet CHTransparentPopUpButton *_priorityButton;
    IBOutlet CHTransparentPopUpButton *_statusButton;
    IBOutlet NSTextField *_summaryTxt;
    IBOutlet NSTextField *_toAtTxt;
    IBOutlet CHDateView *_toDate;
    IBOutlet CHTimeView *_toTime;
	IBOutlet NSTextField *_toTimeZoneLabelTxt;
	IBOutlet CHTransparentPopUpButton *_toTimeZoneButton;
    IBOutlet NSTextField *_urlTxt;
	
	IBOutlet CHCalendarButton *_fromCalendarButton;
	IBOutlet CHCalendarButton *_toCalendarButton;
}
- (IBAction)statusAction:(id)sender;
- (IBAction)priorityAction:(id)sender;
- (IBAction)allDayAction:(id)sender;

- (IBAction)fromTimeZoneChanged:(id)sender;
- (IBAction)toTimeZoneChanged:(id)sender;

@end
