//
//  PGBlockContentViewName.h
//  Organizer
//
//  Created by Nick Zitzmann on Tue Apr 06 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CHOpenBaseGUI/PGBlockContentViewController.h>

@class PGTransparentPopUpButton;

@interface PGBlockContentViewName : PGBlockContentViewController <PGBlockContentViewDifferentiator>
{
	IBOutlet NSButton *_nameButton;
	IBOutlet NSButton *_organizationButton;
	IBOutlet NSButton *_organizationCheckbox;
	NSString *_loadedNibName;
	NSString *_initEditString;
	BOOL _textWasEdited;
	IBOutlet NSPanel *_detailPanel;
}
- (IBAction)imageDropped:(id)sender;
- (IBAction)organizationButtonClicked:(id)sender;
- (IBAction)fullNameButtonClicked:(id)sender;
- (IBAction)okClickedInDetailPanel:(id)sender;
- (IBAction)cancelClickedInDetailPanel:(id)sender;
- (IBAction)organizationCheckboxAction:(id)sender;

- (void)fieldEditorLoadedForField:(id)field;

@end
