//
//  PGBlockContentViewOccurrableRecord.h
//  Organizer
//
//  Created by Nick Zitzmann on 07/13/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <CHDatabaseKit/CHDatabaseKit.h>
#import <CHAppKit/CHAppKit.h>
#import <CHOpenBaseGUI/PGBlockContentViewController.h>

@interface PGBlockContentViewOccurrableRecord : PGBlockContentViewController
{
	IBOutlet CHTransparentPopUpButton *_calendarButton;
	IBOutlet NSTokenField *_attendeeTxt;
	
	NSString *_databaseID;
	NSMutableSet *_attributesToTrash;
}
- (void)setDatabaseID:(NSString *)databaseID;
- (void)setupControls;	// must be overridden by subclasses

- (IBAction)calendarAction:(id)sender;

- (void)addAttributeToTrash:(PGCalendarEventTaskAttribute *)attribute;
- (NSSet *)attributesToTrash;
- (void)drainAttributesToTrash;

@end
