//
//  PGBlockHolderViewController.h
//  CHOpenBaseGUI
//
//  Created by Nick Zitzmann on 8/8/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class PGBlockHolderView, PGBlockView, PGBlockContentViewController, PGPerson;

@interface PGBlockHolderViewController : NSObject
{
	PGBlockHolderView *_blockHolderView;
}
- (id)initWithBlockHolderView:(PGBlockHolderView *)bhv;	// designated initializer
- (void)setupBlockViews;
- (void)setupBlockViewsVisibilityHidingEmptyBlocks:(BOOL)collapsed;

@end

@interface PGBlockHolderViewController (SubclassesOnly)
- (void)title:(NSString **)title controller:(PGBlockContentViewController **)controller columnsSpanned:(unsigned int *)columnsSpanned ofBlockWithID:(unsigned int)blockID;
- (void)blockDefaultID:(NSNumber **)blockDefaultID alwaysShowPropertiesToCheck:(NSArray **)alwaysShowPropertiesToCheck labelToCheck:(NSString **)labelUsedByMVToCheck labelNotToCheck:(NSString **)labelNotUsedByMVToCheck whenDecidingToShowOrHideBlockView:(PGBlockView *)view;
@end
