//
//  CHMovieBrowserView.h
//  CHAppKit
//
//  Created by Rod Schmidt on 6/29/05.
//  Copyright 2005 Chronos, LC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <QTKit/QTKit.h>
#import <CHAppKit/CHAppKit.h>

@class CHMovieBrowserPageView;

@interface CHMovieBrowserView : CHFileBrowserView 
{
	IBOutlet NSPopUpButton*	_zoomPopup;

	NSString*	_tempFilename;
}

-(IBAction) zoom: (id) sender;

-(void) pauseMovie;

-(float) scale;
-(void) setScale: (float) scale;

@end

@interface CHMovieBrowserView (Delegate)
-(void) movieBrowserSettingsChanged: (CHMovieBrowserView*) movieBrowser;
@end
