//
//  CHTransitionFilterMaker.h
//  CHAppKit
//
//  Created by Nick Zitzmann on 10/4/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <QuartzCore/QuartzCore.h>

typedef enum
{
    CHCopyMachineTransitionStyle,
    CHDisintegrateWithMaskTransitionStyle,
    CHDissolveTransitionStyle,
    CHFlashTransitionStyle,
    CHModTransitionStyle,
    CHPageCurlTransitionStyle,
    CHRippleTransitionStyle,
    CHSwipeTransitionStyle,
	CHBarsSwipeTransitionStyle	// Leopard only!
} CHTransitionStyle;

@interface CHTransitionFilterMaker : NSObject
{
	CIImage *_inputMaskImage;
	CIImage *_inputShadingImage;
}
+ (CHTransitionFilterMaker *)sharedMaker;

- (CIFilter *)transitionFilterWithTransitionStyle:(CHTransitionStyle)transitionStyle forRect:(NSRect)rect initialCIImage:(CIImage *)initialCIImage finalCIImage:(CIImage *)finalCIImage;

@end
