//
//  CHViewStateAnimation.h
//  CHAppKit
//
//  Created by Nick Zitzmann on 10/5/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <CHFoundation/CHFoundation.h>
#import "CHTransitionFilterMaker.h"

@interface CHViewStateAnimation : NSAnimation
{
	CHTransitionStyle _style;
	CIFilter *_transitionFilter;
	CIImage *_beforeImage;
	CIImage *_afterImage;
	NSView *_masterView;
	id _imageView;
	NSUInteger _frameCount;
}
- (void)setTransitionStyle:(CHTransitionStyle)style;
- (void)setBeforeImage:(CIImage *)beforeImage;
- (void)setAfterImage:(CIImage *)afterImage;
- (void)setMasterView:(NSView *)masterView;

@end
