//
//  CHBrowserView.h
//  CHAppKit
//
//  Created by Rod Schmidt on 10/4/05.
//  Copyright 2005 Chronos, LC. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface CHBrowserView : NSView 
{
	IBOutlet NSView*		_contentView;
	IBOutlet id				_delegate;
	IBOutlet NSTextField*	_urlField;
}

-(id) initWithFrame: (NSRect) frame nib: (NSString*) nibName;

-(void) addContentView;

-(id) delegate;
-(void) setDelegate: (id) aDelegate;

-(NSImage*) loadImage: (NSString*) imageName;
-(void) setupActionButton: (NSPopUpButton*) actionButton;

@end
