//
//  CHChooseFileAccessoryViewController.h
//  CHAppKit
//
//  Created by Jerry Halls on 9/23/05.
//  Copyright 2005 Chronos, LC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "CHNibLoadingObject.h"

@interface CHChooseFileAccessoryViewController : CHNibLoadingObject 
{
	IBOutlet NSView*		_mainView;
	IBOutlet NSButtonCell*	_copyButton;
	IBOutlet NSButtonCell*	_linkButton;
	IBOutlet NSMatrix*		_matrix;
}

+ (id)controller;

- (NSView *)view;

- (void)selectCopyButton;
- (void)selectLinkButton;

- (BOOL)isLinkButtonSelected;
- (BOOL)isCopyButtonSelected;

@end
