//
//  CHDraggableImageView.h
//  CHAppKit
//
//  Created by Nick Zitzmann on 11/27/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CHDraggableImageView : NSImageView
{
	BOOL _allowDrags;
	NSEvent *_downEvent;
	NSString *_filenameForImageDrag;
}
- (void)setAllowDragging:(BOOL)allowDragging;
- (void)setFilenameForImageDrag:(NSString *)filename;	// don't set an extension; the extension will be added automatically

@end
