//
//  CHGradientOutlineView.h
//  CHAppKit
//
//  Created by Nick Zitzmann on 12/7/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface CHGradientOutlineView : NSOutlineView
{
	NSColor *_topColorWhenFirstResponder;
	NSColor *_bottomColorWhenFirstResponder;
	NSColor *_topColorWhenNotFirstResponder;
	NSColor *_bottomColorWhenNotFirstResponder;
}
- (void)setDefaultHighlightColors;
- (void)setHighlightTopColorWhenFirstResponder:(NSColor *)color;
- (void)setHighlightBottomColorWhenFirstResponder:(NSColor *)color;
- (void)setHighlightTopColorWhenNotFirstResponder:(NSColor *)color;
- (void)setHighlightBottomColorWhenNotFirstResponder:(NSColor *)color;

@end
