//
//  CHImageBrowserView.h
//  CHAppKit
//
//  Created by Rod Schmidt on 5/27/05.
//  Copyright 2005 Chronos, LC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "CHBrowserView.h"
#import "CHFileBrowserView.h"
#import <CHFoundation/CHFoundation.h>

@class CHControlBar;
@class CHImageBrowserPageView;

@interface CHImageBrowserView : CHFileBrowserView 
{
	IBOutlet NSPopUpButton*	_zoomPopup;
}

-(IBAction) zoom: (id) sender;

- (CGFloat)scale;
- (void)setScale:(CGFloat)scale;

-(void) importImage: (NSImage*) anImage withTitle:(NSString *)aTitle;
-(void)importImage:(NSImage *)anImage;

@end

@interface CHImageBrowserView (Delegate)
-(void) imageBrowserSettingsChanged: (CHImageBrowserView*) imageBrowser;
@end
