//
//  CHImagePopUpButton.h
//  CHAppKit
//
//  Created by Rod Schmidt on 6/27/05.
//  Copyright 2005 Chronos, LC. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface CHImagePopUpButton : NSPopUpButton 
{
	NSControlSize	_controlSize;
}

-(NSSize) iconSize;
-(void) setIconSize: (NSSize) iconSize;

-(BOOL) showsMenuWhenIconClicked;
-(void) setShowsMenuWhenIconClicked: (BOOL) showsMenuWhenIconClicked;

-(NSImage*) iconImage;
-(void) setIconImage: (NSImage*) iconImage;

-(NSImage*) arrowImage;
-(void) setArrowImage: (NSImage*) arrowImage;

@end
