//
//  CHImagePopUpButtonCell.h
//  CHAppKit
//
//  Created by Rod Schmidt on 6/27/05.
//  Copyright 2005 Chronos, LC. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface CHImagePopUpButtonCell : NSPopUpButtonCell <NSCopying>
{
    NSButtonCell*	_buttonCell;
    NSSize			_iconSize;
    BOOL			_showsMenuWhenIconClicked;
    NSImage*		_iconImage;
    NSImage*		_arrowImage;
	//NSView*			myParentView;
}

//-(NSView*) myParentView;
//-(void) setMyParentView: (NSView*) newMyParentView;

-(NSSize) iconSize;
-(void) setIconSize: (NSSize) iconSize;

-(BOOL) showsMenuWhenIconClicked;
-(void) setShowsMenuWhenIconClicked: (BOOL) showsMenuWhenIconClicked;

-(NSImage*) arrowImage;
-(void) setArrowImage: (NSImage*) arrowImage;

-(NSImage*) iconImage;
-(void) setIconImage: (NSImage*) iconImage;

@end
