//
//  CHImageTextCell.h
//  CHFolderView
//
//  Created by Rod Schmidt on Thu Jan 08 2004.
//  Copyright (c) 2004 Chronos, LC. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface CHImageTextCell : NSTextFieldCell 
{
    NSImage*	_image;
}

- (void) setImage: (NSImage*) anImage;
- (NSImage*) image;

- (void) drawWithFrame: (NSRect) cellFrame inView: (NSView*) controlView;
- (NSSize) cellSize;

-(NSRect) centerTextFrame: (NSRect) aRect;

@end