//
//  CHPreferencePaneInfo.h
//  CHPreference
//
//  Created by Rod Schmidt on Fri Nov 14 2003.
//  Copyright (c) 2003 infiniteNIL Software. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface CHPreferencePaneInfo : NSObject 
{
	NSBundle*   _bundle;
	NSString*   _imageName;
	NSString*   _label;
	Class		_principalClass;
	NSString*   _toolTip;
}

- (id) initWithBundle: (NSBundle*) bundle;
- (id) initWithLabel: (NSString*) aLabel imageNamed: (NSString*) imageName 
	toolTip: (NSString*) aToolTip principalClass: (Class) aClass;
	
- (NSBundle*) bundle;
- (NSImage*) image;
- (NSString*) imageName;
- (NSString*) label;
- (Class) principalClass;
- (NSString*) toolTip;

@end
