//
//  CHTabViewItem.h
//  CHTabs
//
//  Created by Jerry Halls on Thu Nov 13 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

#define kCHBackgroundTab	0
#define kCHSelectedTab		1
#define kCHFeedbackTab		2

@class CHTabView;

@interface CHTabViewItem : NSObject {
	int			_state;
	NSView		*_view;
	NSString	*_labelString;
	CHTabView   *_tabView;
	BOOL		_isLabelDimmed;
}

- (id)initWithView:(NSView*)aView label:(NSString*)aLabelString;

- (void)setView:(NSView*)aView;
- (NSView*)view;
- (void)setLabel:(NSString*)aLabelString;
- (NSString*)label;
- (void)setIsLabelDimmed:(BOOL)aFlag;
- (BOOL)isLabelDimmed;

- (void)setState:(int)aState;
- (int)state;

- (void)setTabView:(CHTabView*)aTabView;

@end
