//
//  CHTransparentPopUpButtonCell.h
//  CHAppKit
//
//  Created by Jerry Halls on Tue Oct 22 2002.
//  Copyright (c) 2002 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CHTransparentPopUpButtonCell : NSPopUpButtonCell 
{
	NSColor *_textColor;
	NSTextAlignment _alignment;
	NSImageAlignment _imageAlignment;
	NSFont *_font;
	NSImage *_staticImage;
	float _imageSizeMultiplier;
}
- (NSAttributedString *)drawingString;

- (void)setStaticImage:(NSImage *)image;
- (void)setImageSizeMultiplier:(float)multiplier;
- (void)setTextColor:(NSColor *)newColor;
- (void)setAlignment:(NSTextAlignment)alignment;
- (void)setImageAlignment:(NSImageAlignment)alignment;
- (void)setUseBoldFont:(BOOL)aFlag;

@end
