//
//  KeyComboPanel.h
//
//  Created by Quentin D. Carnicelli on Thu Jun 18 2002.
//  Copyright (c) 2002 Subband inc.. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <CHFoundation/CHFoundation.h>
#import "CHNibLoadingObject.h"

@class KeyCombo;

@interface KeyComboPanel : CHNibLoadingObject
{
    IBOutlet id mTextField;
	
	KeyCombo* mKeyCombo;
}

+ (id)sharedPanel;

- (NSInteger)runModal;

- (KeyCombo*)keyCombo;
- (void)setKeyCombo: (KeyCombo*)combo;

- (void)setKeyName: (NSString*)name;

- (IBAction)ok:(id)sender;
- (IBAction)cancel:(id)sender;
- (IBAction)clear:(id)sender;

@end

