//
//  NSAttributedString+CHAppKitExtensions.h
//  CHAppKit
//
//  Created by Jerry Halls on 9/23/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <CHFoundation/CHFoundation.h>

@interface NSAttributedString (CHAppKitExtensions)
+ (NSAttributedString*)filenameAttributedStringWithString:(NSString*)aString;
+ (NSAttributedString*)dragHereAttributedStringWithString:(NSString*)aString;
+ (id)attributedStringWithImage:(NSImage *)image;

- (CGFloat)heightForStringDrawingWithWidth:(CGFloat)myWidth;	// this is different from -boundingRectWithSize:options: in that it doesn't ignore the width
- (NSUInteger)lineCountForStringDrawingWithWidth:(CGFloat)myWidth;
- (NSAttributedString *)truncateWithEllipsisToWidth:(CGFloat)width;
- (CGFloat)widthForStringDrawingWithHeight:(CGFloat)myHeight;
@end
