//
//  NSMatrix+CHExtensions.h
//  CHAppKit
//
//  Created by Nick Zitzmann on 08/02/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSMatrix (CHExtensions)
- (NSCell *)cellAtPoint:(NSPoint)pointInView;
- (NSArray *)cellsWithState:(int)state;	// if called with NSOnState, then this will return the cells that are really selected; as of Mac OS X 10.4 the -selectedCells method in NSMatrix is badly broken and will only return the previously selected cell
- (NSCell *)firstResponderCell;
- (void)selectCell:(NSCell *)cell;
- (void)selectCells:(NSArray *)cells;
@end
