//
//  CHCalendar.h
//
//  Created by Rod Schmidt on 7/28/2004.
//  Copyright (c) 2004 Chronos, LC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <CHFoundation/CHFoundation.h>
#import "CHDateEnums.h"

@interface CHCalendar : NSControl
{
	
}

-(void) setDate: (NSCalendarDate*) inDate;
-(NSCalendarDate*) date;

- (void)setDay:(NSInteger)inDay;
- (NSInteger)day;

- (void)setMonth:(NSInteger)inMonth;
- (NSInteger)month;

- (void)setYear:(NSInteger) inYear;
- (NSInteger)year;

#if MAC_OS_X_VERSION_10_4 <= MAC_OS_X_VERSION_MAX_ALLOWED
- (NSCalendar *)calendar;
- (void)setCalendar:(NSCalendar *)calendar;
#endif
- (NSInteger)era;
- (void)setEra:(NSInteger)inEra;

@end
