//
//  CHOBBackupScheduler.h
//  CHOBBackup
//
//  Created by Nick Zitzmann on 08/15/2004.
//  Copyright 2004 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

typedef enum
{
	CHOBBNever = 0,
	CHOBBDaily,
	CHOBBWeekly
} CHOBBackupSchedulerFrequency;

typedef enum
{
	CHOBBAfterLaunch = 0,
	CHOBBInBackgroundAfterLaunch,
	CHOBBWhenQuitting
} CHOBBackupSchedulerRelativeTime;

@interface CHOBBackupScheduler : NSObject
{
	NSTimer *_backupTimer;
}
+ (CHOBBackupScheduler *)sharedScheduler;

- (CHOBBackupSchedulerFrequency)frequency;
- (void)setFrequency:(CHOBBackupSchedulerFrequency)newFrequency;
- (CHOBBackupSchedulerRelativeTime)relativeTime;
- (void)setRelativeTime:(CHOBBackupSchedulerRelativeTime)newTime;

@end
