//
//  CHTypes.h
//  CHDatabaseKit
//
//  Created by Rod Schmidt on 3/22/2005.
//  Copyright 2005 Chronos, LC. All rights reserved.
//

typedef enum {
	NoAccess,
	ReadAccess,
	ReadWriteAccess,
	WriteOnlyAccess,
	MixedReadAccess,		// Only used to mark mixed access in UI. Should not be saved in database
	MixedReadWriteAccess,	// Only used to mark mixed access in UI. Should not be saved in database
	MixedAccess,			// Only used to mark mixed access in UI. Should not be saved in database
	MixedWriteOnlyAccess	// Only used to mark mixed access in UI. Should not be saved in database
} CHAccessLevel;
