//
//  NSString+VExtensions.h
//  CHDatabaseKit
//
//  Created by Nick Zitzmann on 1/5/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSString (VExtensions)
- (NSArray *)componentsSeparatedByCharacterUndoingBackslashEscapes:(unichar)character;
- (NSString *)stringByEscapingVCardCharacters;
- (NSString *)stringByUnescapingVCardCharacters;
@end

@interface NSMutableString (VExtensions)
- (void)foldContentLinesUsingRecommendedLength;
@end
