//
//  PGCalendar+VCalTranslation.h
//  CHDatabaseKit
//
//  Created by Nick Zitzmann on 1/3/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PGCalendar.h"
#import "PGCalendarEvent.h"
#import "PGCalendarTask.h"

typedef enum
{
	CHVCalNoMethod = 0,
	CHVCalPublishMethod,
	CHVCalRequestMethod,
	CHVCalReplyMethod,
	CHVCalAddMethod,
	CHVCalCancelMethod,
	CHVCalRefreshMethod,
	CHVCalCounterMethod,
	CHVCalDeclineCounterMethod
} CHVCalMethod;

@interface PGCalendar (VCalTranslation)
- (NSData *)vCalRepresentation;
- (NSData *)vCalRepresentationWithTitle:(NSString *)title;
@end

@interface PGCalendarOccurrableRecord (VCalTranslation)
- (NSData *)vOccurrableRecordRepresentationWithMethod:(CHVCalMethod)method;
@end
