//
//  PGCalendarOrganizer.h
//  CHDatabaseKit
//
//  Created by Nick Zitzmann (Chronos) on 1/10/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PGCalendarEventTaskAttribute.h"

@class PGPerson;

@interface PGCalendarOrganizer : PGCalendarEventTaskAttribute
{

}
- (NSString *)commonName;
- (void)setCommonName:(NSString *)newCommonName;
- (NSURL *)organizerURL;
- (void)setOrganizerURL:(NSURL *)newDirectoryEntry;
- (NSString *)emailAddress;
- (void)setEmailAddress:(NSString *)newEmailAddress;
- (PGPerson *)localRecord;
- (void)setLocalRecord:(PGPerson *)newLocalRecord;
- (long long)localRecordID;
- (void)setLocalRecordID:(long long)recordID;

@end
