/*
 *  PGSearchEnums.h
 *  Organizer
 *
 *  Created by Nick Zitzmann on Wed Jul 28 2004.
 *  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef PGSEARCHENUMS_H
#define PGSEARCHENUMS_H

typedef enum	// used currently by the search toolbar item
{
	PGSearchCriteriaAll = 0,
	PGSearchCriteriaName,
	PGSearchCriteriaJobTitle,
	PGSearchCriteriaDepartment,
	PGSearchCriteriaOrganization,
	PGSearchCriteriaStreet,
	PGSearchCriteriaCity,
	PGSearchCriteriaStateProvince,
	PGSearchCriteriaPostalCode,
	PGSearchCriteriaCountry,
	PGSearchCriteriaPhoneNumber,
	PGSearchCriteriaEmailAddress,
	PGSearchCriteriaKeyword,
	PGSearchCriteriaNotes,	// everything beyond this comment currently only works in Spotlight searches
	PGSearchCriteriaURL,
	PGSearchCriteriaIMAddress,
	PGSearchCriteriaOtherDate,
	PGSearchCriteriaRelatedName,
	PGSearchCriteriaCustomField
} PGSearchCriteria;

typedef enum
{
	PGCalendarSearchCriteriaAll = 0,
	PGCalendarSearchCriteriaTitle,
	PGCalendarSearchCriteriaLocation,
	PGCalendarSearchCriteriaAttendee,
	PGCalendarSearchCriteriaNotes
} PGCalendarSearchCriteria;

typedef enum
{
	PGSearchVerbIs = 1,
	PGSearchVerbIsNot,
	PGSearchVerbContains,
	PGSearchVerbDoesntContain,
	PGSearchVerbBeginsWith,
	PGSearchVerbDoesntBeginWith,
	PGSearchVerbEndsWith,
	PGSearchVerbDoesntEndWith
} PGSearchVerb;

typedef enum
{
	PGSearchLogicAll = 1,
	PGSearchLogicAny
} PGSearchLogic;

#endif
