//
//  SBLabelInfo.h
//  CHDatabaseKit
//
//  Created by Rod Schmidt on 3/16/06.
//  Copyright 2006 Chronos, LC. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface SBLabelInfo : NSObject 
{
	NSString*	_userID;
	long long	_labelID;
	NSString*   _name;
	NSColor*	_color;
	NSImage*	_image;
	NSString*	_uuid;
	NSString*	_dbID;
}

-(id) initWithRowID: (long long) rowID name: (NSString*) name color: (NSColor*) color uuid: (NSString*) uuid 
		 databaseID: (NSString*) dbID userID: (NSString*) userID;

-(long long) labelID;
-(void) setLabelID: (long long) rowID;

-(NSString*) name;
-(void) setName: (NSString*) aName;

-(NSColor*) color;
-(void) setColor: (NSColor*) aColor;

-(NSString*) uuid;
-(void) setUUID: (NSString*) uuid;

-(NSString*) databaseID;
-(NSString*) userID;
- (void)setDatabaseID:(NSString *)databaseID userID:(NSString *)userID;

@end
