//
//  SBLibrary+Colors.h
//  CHDatabaseKit
//
//  Created by Rod Schmidt on 10/24/06.
//  Copyright 2006 Chronos, LC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "SBLibrary.h"

@class SBColorInfo;

@interface SBLibrary (Colors)

-(NSArray *)colors;
-(NSColor *)colorForColorID: (long long)colorID;
-(long long)colorIDForColor: (NSColor *)color;
-(long long) whiteColorID;

-(BOOL)addColor: (SBColorInfo *)colorInfo;
-(BOOL)deleteColor: (SBColorInfo *)colorInfo;
-(BOOL)updateColor: (SBColorInfo *)colorInfo;

@end
