//
//  SBLibrary+Forms.h
//  CHDatabaseKit
//
//  Created by Rod Schmidt on 2/7/07.
//  Copyright 2007 Chronos, LC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "SBLibrary.h"

@class CHFormDefinition;

@interface SBLibrary (Forms)

-(NSArray *)forms;
-(CHFormDefinition *)formWithID:(long long)formID;

-(BOOL)addForm:(CHFormDefinition *)formDef;
-(BOOL)deleteForm:(CHFormDefinition *)formDef;
-(BOOL)updateForm:(CHFormDefinition *)formDef;

-(NSUInteger)numberOfNotesUsingForm:(long long)formID;

-(BOOL)deleteNotesWithFormID:(long long)formID;

@end
