//
//  SBLibrary+Icons.h
//  CHDatabaseKit
//
//  Created by Rod Schmidt on 10/24/06.
//  Copyright 2006 Chronos, LC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "SBLibrary.h"

@class SBIcon;

@interface SBLibrary (Icons)

-(NSArray *)folderIcons;
-(SBIcon *)iconWithID:(long long)iconID;
-(BOOL)usingSmallIcons;
-(void)setUseSmallIcons: (BOOL)useSmall;
-(BOOL)iconInUse:(long long)iconID otherThanByFolder:(long long)folderID;

-(BOOL)addIcon:(SBIcon *)icon;
-(BOOL)deleteIcon:(long long)iconID;
	
@end
