//
//  SBLibrary+Labels.h
//  CHDatabaseKit
//
//  Created by Rod Schmidt on 10/24/06.
//  Copyright 2006 Chronos, LC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "SBLibrary.h"

@class SBLabelInfo;

@interface SBLibrary (Labels)

-(BOOL)addLabel: (SBLabelInfo *)labelInfo;
-(NSColor *)colorForLabelWithID: (long long)labelID;
-(BOOL)deleteLabel: (SBLabelInfo *)label;
-(NSArray *)labels;
-(BOOL)updateLabelColor: (SBLabelInfo *)labelInfo;
-(BOOL)updateLabelName: (SBLabelInfo *)labelInfo;
-(NSString *)nameForLabelWithID:(long long)labelID;

@end
