//
//  SBLibrary+Privileges.h
//  CHDatabaseKit
//
//  Created by Rod Schmidt on 10/24/06.
//  Copyright 2006 Chronos, LC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "SBLibrary.h"

@interface SBLibrary (Privileges)

-(CHAccessLevel)accessLevelForFolder: (SBFolder *) folder;
-(CHAccessLevel)accessLevelForFolderID: (long long)folderID;
-(void)setAccessLevel: (CHAccessLevel) level forFolder: (SBFolder*) folder;
-(CHAccessLevel)accessLevelForNote: (long long)noteID;

-(void)clearAccessLevels;
-(BOOL)hasAccessToFolder: (SBFolder *)folder;

-(BOOL)isAdmin;

-(BOOL)hasWriteAccessToNote: (SBNote *)note;

@end
