//
//  CHvParser.h
//  CHFoundation
//
//  Created by Nick Zitzmann on 06/01/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#ifndef NSINTEGER_DEFINED
#import "CHObjCRuntime.h"	// for NSUInteger
#endif

@class CHvParserCard, CHvParserProperty, CHStack;

@interface CHvParser : NSObject
{
	void *_reserved;
	NSMutableArray *_cards;
	CHvParserCard *_currentCard;
	CHStack *_cardStack;
	BOOL _cardDidBegin;
	CHvParserProperty *_currentProperty;
}
- (BOOL)parseString:(NSString *)vString;
- (NSArray *)cards;

@end
