//
//  CHvParserCard.h
//  CHFoundation
//
//  Created by Nick Zitzmann on 10/11/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#ifndef NSINTEGER_DEFINED
#import "CHObjCRuntime.h"
#endif

@interface CHvParserCard : NSObject
{
	NSString *_cardName;
	NSMutableArray *_names;
	NSMutableArray *_properties;
}
- (NSUInteger)count;
- (NSString *)cardName;
- (NSString *)nameAtIndex:(NSUInteger)index;
- (id)propertyAtIndex:(NSUInteger)index;	// returns an NSDictionary for grouped properties and a CHvParserProperty for non-grouped properties
- (id)propertyWithName:(NSString *)name;	// important note: there may be multiple instances of name in the card; this only returns one of them, so don't rely on it too much

@end
