//
//  NSBundle+CHExtensions.h
//  CHFoundation
//
//  Created by Nick Zitzmann on 08/05/2005.
//  Copyright 2005 Chronos, LC. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSBundle (CHExtensions)
- (NSBundle *)bundleForFramework:(NSString *)frameworkName;
- (NSBundle *)bundleForResource:(NSString *)resource ofType:(NSString *)type;
- (NSString *)bundleName;
- (NSString *)pathForFramework:(NSString *)frameworkName;
@end
