//
//  NSURL+CHExtensions.h
//  CHFoundation
//
//  Created by Nick Zitzmann on 2/9/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "CHObjCRuntime.h"

@interface NSURL (CHExtensions)
+ (id)fileURLWithFSRef:(const FSRef)aRef;
#ifndef __LP64__
+ (id)fileURLWithFSSpec:(const FSSpec)aSpec;
#endif

- (NSComparisonResult)compare:(NSURL *)otherURL;
- (id)initFileURLWithFSRef:(const FSRef)aRef;
#ifndef __LP64__
- (id)initFileURLWithFSSpec:(const FSSpec)aSpec;
#endif
- (NSInteger)portInteger;
- (NSDictionary *)queryDictionary;
@end
