//
//  NSUserDefaults+CHExtensions.h
//  CHFoundation
//
//  Created by Nick Zitzmann on 04/08/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#ifndef NSINTEGER_DEFINED
#import "CHObjCRuntime.h"
#endif

@interface NSUserDefaults (CHExtensions)
- (BOOL)boolForKey:(NSString *)key inApplicationID:(NSString *)applicationID;
- (unichar)dateFormatterSeparatorCharacter;
- (NSInteger)integerForKey:(NSString *)key inApplicationID:(NSString *)applicationID;
- (id)objectForKey:(NSString *)key inApplicationID:(NSString *)applicationID;
- (void)setBool:(BOOL)aBool forKey:(NSString *)key inApplicationID:(NSString *)applicationID;
- (void)setInteger:(NSInteger)anInt forKey:(NSString *)key inApplicationID:(NSString *)applicationID;
- (void)setObject:(id)object forKey:(NSString *)key inApplicationID:(NSString *)applicationID;
- (BOOL)synchronizeInApplicationID:(NSString *)applicationID;
- (unichar)timeFormatterSeparatorCharacter;
@end
