//
//  CHFormImportWindowController.h
//  CHOpenBaseGUI
//
//  Created by Rod Schmidt on 7/26/07.
//  Copyright 2007 Chronos, LC. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class CHFormView;
@class SBFolder;

@interface CHFormImportWindowController : NSWindowController 
{
	IBOutlet NSPopUpButton *		_formChooser;
	IBOutlet NSTableView *			_fieldMapTable;
	IBOutlet NSButton *				_ignoreFirstRecordButton;
	IBOutlet NSSplitView *			_splitter;
	IBOutlet CHFormView *			_formView;
	IBOutlet NSSegmentedControl *	_nextPrevControl;
	IBOutlet NSTextField *			_positionLabel;
	IBOutlet NSButton *				_cancelButton;
	IBOutlet NSButton *				_okButton;
	IBOutlet NSView *				_ignoreView;
	
	NSString *_importFilename;
	NSMutableArray *_formFields;
	SBFolder *_importFolder;
	NSMutableArray *_keys;
	NSMutableArray *_records;
	unsigned int _recordIndex;
	int _tableRowIndexForMenuUpdate;	// index of row whose menu is being shown
}

-(SBFolder *) importFolder;
-(void) setImportFolder:(SBFolder *) folder;
-(void) setImportFilename:(NSString *) aFilename;

@end
