//
//  CHOBBackupGUIFacilitator.h
//  CHOpenBaseGUI
//
//  Created by Nick Zitzmann on 10/7/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CHOBBackupGUIFacilitator : NSObject
{

}
+ (CHOBBackupGUIFacilitator *)sharedInstance;

- (void)backup;
- (void)restoreBackupAtPath:(NSString *)selectedFile;
- (NSString *)askUserForPathOfBackupToRestore;
- (BOOL)confirmUserWantsToRestoreFromFile:(NSString*)aFilePath;

- (BOOL)backupToDotMac;
- (NSString *)beginRestoreFromDotMacAndReturnPath;	// you may delete the file at the path returned from this method after restoring; the file is a temporary file
@end
