//
//  CHSyncLauncher.h
//  CHOpenBaseGUI
//
//  Created by Nick Zitzmann on 11/18/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <CHDatabaseKit/CHDatabaseKit.h>

@interface CHSyncLauncher : NSObject
{
	NSTimer *_syncTimer;
}
+ (CHSyncLauncher *)sharedLauncher;

- (void)doSync;
- (void)doSyncWhenIdle;
- (BOOL)isSyncing;
- (void)refreshEverythingOnNextSync;
- (void)pushCalendarOrderChangeOnNextSync;

- (void)addCalendarOnNextSync:(PGCalendar *)calendar;
- (void)removeCalendarWithIDOnNextSync:(NSString *)calendarID;
@end
