//
//  CHSyncPreferencePane.h
//  CHOpenBaseGUI
//
//  Created by Nick Zitzmann on 12/27/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <PreferencePanes/PreferencePanes.h>
#import <SyncServices/SyncServices.h>

@interface CHSyncPreferencePane : NSPreferencePane
{
	IBOutlet NSButton *_syncContactsCbx;
	IBOutlet NSButton *_syncCalendarsCbx;
	IBOutlet NSButton *_syncNotesCbx;
	IBOutlet NSButton *_syncKeywordsCbx;
	IBOutlet NSButton *_unregisterSOHOSyncCmd;
	IBOutlet NSButton *_enableDebugLogCbx;
	IBOutlet NSButton *_clearSyncLogCmd;
	IBOutlet NSTextField *_lastSyncDateTxt;
	IBOutlet NSButton *_noteSizeThresholdCbx;
	IBOutlet NSTextField *_noteSizeThresholdTxt;
	
	NSMutableArray *_contactEntityNames;
	NSMutableArray *_calendarEntityNames;
	NSMutableArray *_noteEntityNames;
	NSMutableArray *_keywordEntityNames;
	
	ISyncClient *_sohoSyncClient;
}
- (IBAction)clearLogClicked:(id)sender;
- (IBAction)setValueForSender:(id)sender;
- (IBAction)synchronizeNowClicked:(id)sender;
- (IBAction)unregisterSOHOSyncClicked:(id)sender;
- (IBAction)viewLogClicked:(id)sender;
- (IBAction)noteSizeThresholdCbxClicked:(id)sender;

@end
