//
//  PGAddressBookResourceRepository.h
//  Organizer
//
//  Created by Nick Zitzmann on Fri Jun 25 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface PGAddressBookResourceRepository : NSObject
{
	NSBundle *_addressBookBundle;
	//NSImage *_personImage;
	//NSImage *_companyImage;
	NSImage *_smallPersonImage;
	NSImage *_smallCompanyImage;
	NSImage *_smallSelfPersonImage;
	NSImage *_groupImage;
	NSImage *_allGroupImage;
	NSImage *_onlineDatabaseImage;
	NSImage *_offlineDatabaseImage;
	
	NSDictionary *_addressFormats;
	NSMenu *_countryFormatMenu;
}
+ (PGAddressBookResourceRepository *)sharedRepository;

//- (NSImage *)personImage;
//- (NSImage *)companyImage;
- (NSImage *)smallPersonImage;
- (NSImage *)smallCompanyImage;
- (NSImage *)smallSelfPersonImage;
- (NSImage *)groupImage;
- (NSImage *)allGroupImage;
- (NSImage *)onlineDatabaseImage;
- (NSImage *)offlineDatabaseImage;

- (NSDictionary *)addressFormats;
- (NSMenu *)countryFormatMenu;

@end
