//
//  PGBlockContentViewCalendarAlarm.h
//  Organizer
//
//  Created by Jerry Halls on 6/27/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <CHDatabaseKit/CHDatabaseKit.h>
#import <CHAppKit/CHAppKit.h>
#import "PGBlockContentViewController.h"

@class PGBlockContentViewOccurrableRecord;

extern NSString * const PGCalendarOccurrableRecordAlarmArrayChangedNotification;

@interface PGBlockContentViewCalendarAlarm : PGBlockContentViewController
{
	IBOutlet CHTransparentPopUpButton*		_typeButton;
	IBOutlet CHTransparentPopUpButton		*_contextButton;
	IBOutlet NSTokenField					*_emailAddressesTxt;
	IBOutlet NSTextField					*_toTxt;
	IBOutlet CHTransparentPopUpButton		*_triggerTimeButton;
	IBOutlet NSTextField					*_numberOfDaysTxt;
	IBOutlet NSTextField					*_atTxt;
	IBOutlet CHDateView						*_dateView;
	IBOutlet CHTimeView						*_timeView;
	IBOutlet CHCalendarButton				*_dateShowCalendarButton;

	//PGCalendarOccurrableRecord *_occurrableRecord;
	PGCalendarAlarm *_alarm;
	PGBlockContentViewOccurrableRecord *_nonretainedRecordController;
}

- (void)setOccurrableRecord:(PGCalendarOccurrableRecord *)record alarm:(PGCalendarAlarm *)alarm;
- (void)setRecordController:(PGBlockContentViewOccurrableRecord *)bcv;
- (void)setupControls;

- (IBAction)typeAction:(id)sender;
- (IBAction)contextButtonAction:(id)sender;
- (IBAction)triggerTimeAction:(id)sender;

@end
