//
//  PGBlockContentViewTask.h
//  Organizer
//
//  Created by Jerry Halls on 6/27/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <CHAppKit/CHAppKit.h>
#import <CHDatabaseKit/CHDatabaseKit.h>
#import <CHOpenBaseGUI/PGBlockContentViewOccurrableRecord.h>

@interface PGBlockContentViewTask : PGBlockContentViewOccurrableRecord
{
	IBOutlet NSTextField*					_summaryTextField;
	IBOutlet CHTransparentPopUpButton*		_statusButton;
	IBOutlet CHDateView						*_completionDateView;
	IBOutlet CHTransparentPopUpButton*		_priorityButton;
	IBOutlet CHDateView						*_startDateView;
	IBOutlet NSButton*						_dueDateButton;
	IBOutlet CHDateView*					_dueDateView;
	IBOutlet NSButton						*_dueTimeButton;
	IBOutlet NSTextField					*_dueTimeLabelTxt;
	IBOutlet CHTimeView						*_dueTimeView;
	IBOutlet CHTransparentPopUpButton		*_dueTimeZoneButton;
	IBOutlet NSButton						*_dueDateShowCalendarButton;
	IBOutlet NSTextField*					_urlTextField;
	
	IBOutlet CHCalendarButton				*_startCalendarButton;
	IBOutlet CHCalendarButton				*_dueCalendarButton;
	IBOutlet CHCalendarButton				*_completionCalendarButton;
}

- (IBAction)statusAction:(id)sender;
- (IBAction)priorityAction:(id)sender;
- (IBAction)dueDateAction:(id)sender;
- (IBAction)dueTimeAction:(id)sender;
- (IBAction)dueTimeZoneChanged:(id)sender;

@end
