//
//  PGExpandingTableView.h
//  CHOpenBaseGUI
//
//  Created by Nick Zitzmann on Tue Apr 20 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <AppKit/AppKit.h>
#import "PGTableView.h"

@interface PGExpandingTableView : PGTableView
{
	BOOL _PGAlreadyEditing;
	NSTrackingRectTag _trackingRectTag;
	BOOL _PGEditable;
	BOOL _PGEnabled;
}

- (BOOL)isEditable;
- (void)setEditable:(BOOL)editable;
@end

@interface NSObject (PGETVDelegate)
- (void)tableView:(NSTableView *)tv mouseEntered:(NSEvent *)event;
- (void)tableView:(NSTableView *)tv mouseExited:(NSEvent *)event;
@end
