//
//  PGPerson+VCardTranslation.h
//  CHOpenBaseGUI
//
//  Created by Nick Zitzmann on 03/30/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <CHDatabaseKit/CHDatabaseKit.h>

@interface PGPerson (VCardTranslation)
+ (NSArray *)peopleWithVCardRepresentation:(NSData *)representation;
+ (NSArray *)peopleWithVCardRepresentation:(NSData *)representation progressDelegate:(id)progressDelegate progressAction:(SEL)progressAction;
+ (NSData *)vCardRepresentationForPeople:(NSArray *)people;
+ (NSData *)vCardRepresentationForPeople:(NSArray *)people suggestedFileNameForExport:(NSString **)suggestedFileName;
- (NSData *)vCardRepresentation;
@end
